@charset "utf-8";

@font-face {
    font-family: 'Montserrat';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url('/css/fonts/Montserrat-VariableFont_wght.ttf') format('woff2');
}

@font-face {
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400 900;
    font-display: swap;
    src: url('/css/fonts/Oswald-VariableFont_wght.ttf') format('woff2');
}

@font-face {
    font-family: 'SourceSans3';
    font-style: normal;
    font-weight: 200 800;
    font-display: swap;
    src: url('/css/fonts/SourceSans3-VariableFont_wght.ttf') format('woff2');
}

:root {
	--blue: #0074bf;
	--yellow: #fed905;
	--white: rgba(255,255,255,1.0);
	--lb-image-border-color: #0074bf;/*rgba(254,237,1,1.0);*/
}

nav{
	position: sticky;
	top: 0px;
	z-index: 99;
	width: 100%;
	background-color: transparent;
	backdrop-filter: blur(10px);
}
nav .wrapper{
  position: relative;
  max-width: 1300px;
  /*padding: 0px 30px;*/
  height: 55px;
  line-height: 55px;
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.wrapper .logo a{
  color: var(--white);
  font-size: 30px;
  font-weight: 600;
  text-decoration: none;
}
.wrapper .logo a img{
	height: 3vh;
	max-width: 80vw;
	display: block;
}
.wrapper .nav-links{
	display: inline-flex;
	margin-block-start: 0px;
    margin: 0px;
	padding: 0px;
}
.nav-links li{
  list-style: none;
}
.nav-links li a{
	text-decoration: none;
	font-size: 18px;
	font-weight: 500;
	padding: 9px 15px;
	border-radius: 0px;
	transition: all 0.3s ease;
}
.nav-links li a:hover{
	background-color: var(--blue);
	color: var(--white);
	filter: invert(0);
	font-style: normal;
}
.nav-links .mobile-item{
  display: none;
}
.nav-links .drop-menu{
  position: absolute;
  background: #242526;
  min-width: 180px;
  line-height: 45px;
  top: 55px;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 6px 10px rgba(0,0,0,0.15);
}
.nav-links li:hover .drop-menu,
.nav-links li:hover .mega-box{
  transition: all 0.3s ease;
  top: 49px;
  opacity: 1;
  visibility: visible;
}
.drop-menu li a{
  width: 100%;
  display: block;
  padding: 0 0 0 15px;
  font-weight: 400;
  border-radius: 0px;
}
.mega-box{
  position: absolute;
  left: 0;
  width: 100%;
  padding: 0 30px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
}
.mega-box .content{
  background: #242526;
  padding: 25px 20px;
  display: flex;
  width: 100%;
  justify-content: space-between;
  box-shadow: 0 6px 10px rgba(0,0,0,0.15);
}
.mega-box .content .row{
  width: calc(25% - 30px);
  line-height: 45px;
}
.content .row img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.content .row header{
  color: #f2f2f2;
  font-size: 20px;
  font-weight: 500;
}
.content .row .mega-links{
  margin-left: -40px;
  border-left: 1px solid rgba(255,255,255,0.09);
}
.row .mega-links li{
  padding: 0 20px;
}
.row .mega-links li a{
  padding: 0px;
  padding: 0 20px;
  color: #d9d9d9;
  font-size: 17px;
  display: block;
}
.row .mega-links li a:hover{
  	color: var(--yellow);
}
.wrapper .btn{
  color: #fff;
  font-size: 20px;
  cursor: pointer;
  display: none;
}
.wrapper .btn.close-btn{
  position: absolute;
  right: 30px;
  top: 10px;
}

@media screen and (max-width: 1220px) {
	
  .wrapper .btn{
    display: block;
  }
  .wrapper .nav-links{
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    top: 0;
    left: -100%;
    background: #242526;
    display: block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0,0,0,0.18);
    transition: all 0.3s ease;
  }
  #menu-btn:checked ~ .nav-links{
    left: 0%;
  }
  #menu-btn:checked ~ .btn.menu-btn{
    display: none;
  }
  #close-btn:checked ~ .btn.menu-btn{
    display: block;
  }
  .nav-links li{
    margin: 15px 10px;
  }
  .nav-links li a{
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  .nav-links .drop-menu{
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }
  #showDrop:checked ~ .drop-menu,
  #showMega:checked ~ .mega-box{
    max-height: 100%;
  }
  .nav-links .desktop-item{
    display: none;
  }
  .nav-links .mobile-item{
    display: block;
    color: #f2f2f2;
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }
  .nav-links .mobile-item:hover{
    background: var(--yellow);
  }
  .drop-menu li{
    margin: 0;
  }
  .drop-menu li a{
    border-radius: 5px;
    font-size: 18px;
  }
  .mega-box{
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }
  .mega-box .content{
    box-shadow: none;
    flex-direction: column;
    padding: 20px 20px 0 20px;
  }
  .mega-box .content .row{
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255,255,255,0.08);
  }
  .mega-box .content .row:nth-child(1),
  .mega-box .content .row:nth-child(2){
    border-top: 0px;
  }
  .content .row .mega-links{
    border-left: 0px;
    padding-left: 15px;
  }
  .row .mega-links li{
    margin: 0;
  }
  .content .row header{
    font-size: 19px;
  }
}
nav input{
  display: none;
}

html{
	height: 100vh;
	width: 100%;
}

body {
	font-family: "SourceSans3", sans-serif;
	font-optical-sizing: auto;
	font-style: normal;
	min-height: 100vh;
	display: grid;
	grid-template-rows: auto 1fr auto;
	background: var(--blue);
	color: #fff;
	background-image: linear-gradient(to top, rgba(8,45,94,0.7), rgba(8,45,94,0)),url(/images/bghhintergrund.png);
	background-size: cover;
	background-position: center top;
	background-repeat: no-repeat;
	background-attachment: fixed;
	padding: 0px;
	margin: 0px;
}

main {
	padding: 0;
	margin: 0;

	&:focus {
		outline: none;
	}
}

footer {
	margin-top: 1vh;
	background-image: url(/images/footerlogo.png);
	background-position: center center;
	background-repeat: no-repeat;
	background-size: auto 99%;
}

h1,.headline {
	font-size: 1.7em;
	text-align: center;
	font-family: "Oswald", sans-serif;
	font-optical-sizing: auto;
	font-weight: bold;
	font-style: normal;
	text-align: left;
	padding: 2vw;
	text-transform: uppercase;
	margin-block-start: 0em;
    margin-block-end: 0em;
	letter-spacing: 0.11rem;
}

h2 {
	color: var(--mmLiteGrey);
	font-size: 1.3em;
	text-align: center;
	font-family: "Montserrat", sans-serif;
	font-optical-sizing: auto;
	font-weight: bold;
	font-style: normal;
	text-align: left;
	padding: 1.3vw;
	padding-left: 2.5vw;
	text-transform: uppercase;
	margin-block-start: 0em;
    margin-block-end: 0em;
	letter-spacing: 0.11rem;
}

p {
	font-size: 1.125em;
	line-height: 1.5;
	font-family: "SourceSans3", sans-serif;
	font-optical-sizing: auto;
	font-weight: normal;
	font-style: normal;
	letter-spacing: 0.1rem;
}

p > img {
	float: left;
    margin: 5px;
}

ul, ol, .flex-box {
	font-size: 1.125em;
	line-height: 1.5;
	font-family: "SourceSans3", sans-serif;
	font-optical-sizing: auto;
	font-weight: normal;
	font-style: normal;
	letter-spacing: 0.1rem;
}

hr {
	border: 1px solid rgba(255, 255, 255, .15);
    background-clip: padding-box;
    margin: 0;
    padding: 0;
}

a{
	color: var(--mmYellow);
	border: none;
	outline:none;
	text-decoration: Shorthand wavy var(--mmYellow); 
	text-shadow: 1px 1px 2px var(--mmLiteGray);
	font-style: oblique;
}

a:visited,a:link,a:active { 
  text-decoration: Shorthand wavy var(--mmYellow);
  text-shadow: 1px 1px 1px var(--mmLiteGray); 
  font-style: oblique;
}

a:hover{
	color: var(--mmGrey);
}

::-webkit-scrollbar {
    width: 0.4em;
	height: 0.4em;
}
 
::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background: var(--mmBlack);
}
 
::-webkit-scrollbar-thumb {
	background-color: var(--mmYellow);
	outline: 1px solid var(--mmYellow);
}

.yellow{
	color: var(--yellow);
}
.white{
	color: var(--white);
}

.whitebg{
	background-color: var(--white);
	color: var(--blue);
}
.bluebg{
	background-color: var(--blue);
	color: var(--white);
}

.mainitem{
	background-size: cover;
	background-position: left center;
	background-repeat: no-repeat;
	display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-wrap: wrap;
	padding: 1vh 1vw;
}

#maintop{
	min-height: 60vh;
	display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-wrap: wrap;
}

#maintoplogo{
	height: 33vh;
}
#maintoplogo img{
	height: 100%;
}

#maintopslogan{
	position: relative;
	right: 0px;
	font-size: 2em;
}
#maintopteaser{
	width: 100vw;
}
#maintopteaser > h1{
	text-align: right;
}